<template>
  <div class="container fcol aic">
    <h1>Editar Usuario</h1>
    <div class="frow">
      <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 500 500" version="1"><path fill="#2c3e50" d="M-1 1h500v500H-1z"/><g fill="#fff"><path d="M182 197v106h136V197H182zm125 95H194v-84h113v84z"/><path d="M200 283l23-25 9 4 27-29 11 13 5-3 27 40z"/><circle cx="227" cy="229" r="10"/></g></svg>
      <div class="fcol jsb">
        <p>Imagen de usuario</p>
        <button>Cambiar foto</button>
      </div>
    </div>
    <div class="frow jsb pt">
      <p>Permisos del usuario</p>
      <div class="fcol">
        <label class="radio">Estándar
          <input type="radio" name="op" value="a">
          <span class="checkmark"></span>
        </label>
        <label class="radio">Administrador
          <input type="radio" name="op" value="b">
          <span class="checkmark"></span>
        </label>
      </div>
    </div>
    <div class="frow aic jsb pt">
      <p>Categoría</p>
      <select>
        <option value="a">Alumno DAW</option>
        <option value="a">Alumno DAM</option>
        <option value="a">Alumno SMR</option>
        <option value="a">Alumno ASIR</option>
      </select>
    </div>
  </div>
</template>

<script>
import image from '../assets/img-placeholder.svg'

export default {
  name: 'Resources',
  data () {
    return {
      placeholder: image
    }
  }
}
</script>

<style lang="scss" scoped>
select {
  border: none;
  border-radius: 3px;
  padding: 10px 15px;
  background: #2c3e50;
  transition: all .2s ease;
  color: #fff;
  width: 60%;
}
h1 {
  margin: 0 0 25px;
}
.frow {
  width: 70%;
  button {
    margin-bottom: 20px;
  }
  &.pt {
    padding-top: 20px;
    &>p {
      margin: 0;
    }
  }
}
p {
  margin-top: 10px;
  font-weight: bold;
  text-align: left;
}
svg {
  width: 120px;
  height: 120px;
  box-shadow: 0 3px 6px rgba(#000, .10);
  border-radius: 3px;
  margin-right: 30px;
}
.radio {
  display: block;
  position: relative;
  padding-left: 35px;
  margin-bottom: 12px;
  cursor: pointer;
  user-select: none;
  text-align: left;
  &>input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    &:checked ~ .checkmark {
      background-color: #42b983;
    }
    &:checked ~ .checkmark:after {
      display: block;
    }
  }
  &:hover input ~ .checkmark {
    background-color: #2c3e50;
  }
  .checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 20px;
    width: 20px;
    background-color: #3c5369;
    border-radius: 50%;
    transition: all .2s ease;
    &:after {
      content: "";
      position: absolute;
      display: none;
      top: 6px;
      left: 6px;
      width: 8px;
      height: 8px;
      border-radius: 50%;
      background: #f2f2f2;
    }
  }

}
</style>
